diff --git a/CMake/FLTKConfig.cmake.in b/CMake/FLTKConfig.cmake.in
index 98a2830..cf60c23 100644
--- a/CMake/FLTKConfig.cmake.in
+++ b/CMake/FLTKConfig.cmake.in
@@ -6,11 +6,27 @@
 #  FLTK_INCLUDE_DIRS - FLTK include directories
 #  FLTK_LIBRARIES    - list of FLTK libraries built
 #  FLTK_FLUID_EXECUTABLE needed by fltk_wrap_ui() and FLTK_RUN_FLUID())
-#  FLTK_USE_FILE - sets things up to use FLTK
+#  FLTK_USE_FILE - sets things up to use FLTK - depricated, to be removed in FLTK 1.4
 
 set(FLTK_VERSION @FLTK_VERSION_FULL@)
 
 include(${CMAKE_CURRENT_LIST_DIR}/FLTK-Targets.cmake)
+include(${CMAKE_CURRENT_LIST_DIR}/FLTK-Functions.cmake)
+
+if(CMAKE_CROSSCOMPILING)
+   find_file(FLUID_PATH
+      NAMES fluid fluid.exe
+      PATHS ENV PATH
+      NO_CMAKE_FIND_ROOT_PATH
+   )
+   add_executable(fluid IMPORTED)
+   set_target_properties(fluid
+      PROPERTIES IMPORTED_LOCATION ${FLUID_PATH}
+   )
+   set(FLTK_FLUID_EXECUTABLE ${FLUID_PATH})
+else()
+   set(FLTK_FLUID_EXECUTABLE fluid)
+endif(CMAKE_CROSSCOMPILING)
 
 set(FLTK_INCLUDE_DIRS "@INCLUDE_DIRS@")
 set(FLTK_USE_FILE ${CMAKE_CURRENT_LIST_DIR}/UseFLTK.cmake)
diff --git a/CMake/UseFLTK.cmake.in b/CMake/UseFLTK.cmake.in
index ed26f88..1984a0c 100644
--- a/CMake/UseFLTK.cmake.in
+++ b/CMake/UseFLTK.cmake.in
@@ -1,7 +1,7 @@
 #
 # UseFLTK.CMake - FLTK CMake environment configuration file for external projects.
 #
-# This file is generated by CMake and used to set FLTK's environment for an external project.
+# This file is depricated and will be removed in FLTK 1.4
 #
 # automatically generated - do not edit
 
diff --git a/CMake/export.cmake b/CMake/export.cmake
index cdf508a..529ac62 100644
--- a/CMake/export.cmake
+++ b/CMake/export.cmake
@@ -44,6 +44,13 @@ add_subdirectory(src)
 # generate FLTK-Targets.cmake for build directory use
 export(TARGETS ${FLUID} ${FLTK_LIBRARIES} FILE ${CMAKE_BINARY_DIR}/FLTK-Targets.cmake)
 
+# generate FLTK-Functions.cmake for build directory use
+configure_file(
+    ${FLTK_SOURCE_DIR}/CMake/FLTK-Functions.cmake
+    ${FLTK_BINARY_DIR}/FLTK-Functions.cmake
+    COPYONLY
+    )
+
 # generate FLTKConfig.cmake for build directory use
 set(INCLUDE_DIRS "${FLTK_INCLUDE_DIRS}")
 set(CONFIG_PATH ${FLTK_BINARY_DIR})
diff --git a/CMake/install.cmake b/CMake/install.cmake
index e5b3980..bfd49d6 100644
--- a/CMake/install.cmake
+++ b/CMake/install.cmake
@@ -60,8 +60,10 @@ configure_file(
    @ONLY
 )
 
-install(FILES ${FLTK_BINARY_DIR}/etc/FLTKConfig.cmake
-   DESTINATION ${FLTK_CONFIG_PATH}
+install(FILES
+    ${FLTK_BINARY_DIR}/etc/FLTKConfig.cmake
+    ${FLTK_SOURCE_DIR}/CMake/FLTK-Functions.cmake
+    DESTINATION ${FLTK_CONFIG_PATH}
 )
 
 configure_file(
